View Issue Details

IDProjectCategoryView StatusLast Update
0000310GORM[Adventure PHP Framework] Code-Verbesserung // Code improvementpublic2017-02-15 19:44
Reporterthalo1Assigned ToChristianAchatz 
PrioritynormalSeveritytweakReproducibilityalways
Status resolvedResolutionfixed 
Product Version[Adventure PHP Framework] 3.2 
Target Version[Adventure PHP Framework] 3.2Fixed in Version[Adventure PHP Framework] 3.2 
Summary0000310: GORM returns an odd value if no result is returned from the database
DescriptionGenericORRelationMapper::loadObjectList / GenericORRelationMapper::loadObjectListByCriterion have a return value of array ([0] => null) instead of null / array().
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])

Activities

ChristianAchatz

2016-10-03 16:22

administrator   ~0000747

Hey thalo,

thanks for filing this issue!

Quick question: is this behaviour bound to any special configuration or just occurs on any simple object definition?

I'll check this behaviour and get back to you with an update.

ChristianAchatz

2016-10-04 17:54

administrator   ~0000748

Hey thalo,

checked the implementation with a simple table (ent_user from UMGT) and the delivered result for loadObjectList() is an empty array. Internal result is an empty mysqli_result instance with 0 rows. Same applies for loadObjectListByCriterion().

Can you provide a couple of more details on when the issue occurs? Based on the implementation it can only happen if the number of selected entries is 1 but the selected rows is 0 (which results in a null domain object).

Thanks!

ChristianAchatz

2016-10-08 16:55

administrator   ~0000752

Added 2 additional unit tests under https://github.com/AdventurePHP/code/commit/6f1f6f099e91190e62aa30a020a652f5968adefe to check on correct results. Maybe you may want to check behaviour based on the test scenarios.

ChristianAchatz

2016-11-27 18:57

administrator   ~0000755

Any news? How can I help you analyzing this issue further?

ChristianAchatz

2017-02-15 19:42

administrator   ~0000760

Feedback from Thalo received via forum PN: issue no longer reproducible. Thus closing the ticket.

Issue History

Date Modified Username Field Change
2016-10-03 16:02 thalo1 New Issue
2016-10-03 16:22 ChristianAchatz Note Added: 0000747
2016-10-03 16:22 ChristianAchatz Assigned To => ChristianAchatz
2016-10-03 16:22 ChristianAchatz Status new => assigned
2016-10-04 17:54 ChristianAchatz Note Added: 0000748
2016-10-08 16:55 ChristianAchatz Note Added: 0000752
2016-11-27 18:57 ChristianAchatz Note Added: 0000755
2017-02-15 19:42 ChristianAchatz Note Added: 0000760
2017-02-15 19:43 ChristianAchatz Sticky Issue No => Yes
2017-02-15 19:43 ChristianAchatz Status assigned => resolved
2017-02-15 19:43 ChristianAchatz Fixed in Version => 3.2
2017-02-15 19:43 ChristianAchatz Resolution open => fixed
2017-02-15 19:44 ChristianAchatz Target Version => 3.2